LINUX.ORG.RU

ошибка при установке bcrypt в npm (nodejs)


0

1

Привык что хватает простой команды

npm install bcrypt --save
чтобы установить, знаю что должен быть установлен GCC & G++ обычно проблем не возникало, но сейчас понадобился bcrypt, а он выдает ошибку на ровном месте. Вот лог, система Fedora 20, пакеты gcc, gcc-c++, python 2&3 установлены. Подскажите что делать, вроде не у кого кроме виндузятников этой ошибки не наблюдалось (как сказал яндекс)
 bcrypt@0.7.8 install /home/anton/sails-blog/node_modules/bcrypt
> node-gyp rebuild

Traceback (most recent call last):
  File "/usr/lib/node_modules/npm/node_modules/node-gyp/gyp/gyp_main.py", line 18, in <module>
    sys.exit(gyp.script_main())
AttributeError: 'module' object has no attribute 'script_main'
gyp ERR! configure error 
gyp ERR! stack Error: `gyp` failed with exit code: 1
gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:340:16)
gyp ERR! stack     at ChildProcess.EventEmitter.emit (events.js:98:17)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:807:12)
gyp ERR! System Linux 3.14.4-200.fc20.i686
gyp ERR! command "node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /home/anton/sails-blog/node_modules/bcrypt
gyp ERR! node -v v0.10.28
gyp ERR! node-gyp -v v0.13.0
gyp ERR! not ok 
npm ERR! bcrypt@0.7.8 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the bcrypt@0.7.8 install script.
npm ERR! This is most likely a problem with the bcrypt package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node-gyp rebuild
npm ERR! You can get their info via:
npm ERR!     npm owner ls bcrypt
npm ERR! There is likely additional logging output above.

npm ERR! System Linux 3.14.4-200.fc20.i686
npm ERR! command "node" "/usr/bin/npm" "install" "bcrypt"
npm ERR! cwd /home/anton/sails-blog
npm ERR! node -v v0.10.28
npm ERR! npm -v 1.4.10
npm ERR! code ELIFECYCLE


https://github.com/TooTallNate/node-gyp/issues/363

пишут, что это кривая версия ноды или npm из репов.

еще пишут что лечится даунгрейдом на путхон 2.6

вобщем, там есть какие-то советы, и у многих получилось побороть. пробуй.

waker ★★★★★ ()
Последнее исправление: waker (всего исправлений: 1)
Ответ на: комментарий от waker

лучше перейду на scrypt или password-hash, так надежней, а переводить все в даун не охота

Lefan ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.